# cat start_suricata.sh
#! /bin/bash


ethtool -K ens1f1 sg off
ethtool -K ens1f1 gro off
ethtool -K ens1f1 lro off
ethtool -K ens1f1 tso off
ethtool -K ens1f1 gso off
ethtool -K ens1f1 rx off
ethtool -K ens1f1 tx off
ethtool -K ens1f1 rxvlan off
ethtool -K ens1f1 txvlan off
ethtool --offload ens1f1 rx off tx off
ethtool -G ens1f1 rx 4096
ethtool -L ens1f1 combined 1

killall irqbalance

/usr/local/src/ixgbe-4.6.4/scripts/set_irq_affinity 8 ens1f1


## usr/bin/suricata -c /etc/suricata/suricata.yaml -D -i ens1f1 --user=suri --group=suri -v

### Auto Flow Pinning mode ###
# /usr/bin/suricata -c /etc/suricata/suricata.yaml --user=suri --group=suri -v --af-packet=ens1f1 -D



### Workers Mode ###

#/usr/bin/suricata -c /etc/suricata/suricata.yaml --user=suri --group=suri -v --af-packet=ens1f1 --runmode=workers -D

#LD_PRELOAD="/usr/lib64/libtcmalloc_minimal.so.4" /usr/bin/suricata -c /etc/suricata/suricata.yaml --user=suri --group=suri -v --af-packet=ens1f1 --runmode=workers -D


/usr/bin/suricata -c /etc/suricata/suricata.yaml --user=suri --group=suri -v --af-packet=ens1f1 --runmode=workers -D

